MediaWiki:Common.css/WinFixes.css: Difference between revisions

From Official Kodi Wiki
Jump to navigation Jump to search
is it only IE 7 ?
Ned Scott (talk | contribs)
m 17 revisions
 
(15 intermediate revisions by 5 users not shown)
Line 1: Line 1:
/* <source lang="css"> */
/* Support for Template:IPA, Template:Unicode and Template:Polytonic. */
/* In print, IE (7?) doesn't like line-height */
@media print {
sup, sub, p, .documentDescription { line-height: normal; }
}


/* Support for Template:IPA, Template:Unicode and Template:Polytonic.
  Please copy any changes to [[Template:IPA fonts]] and [[Template:Unicode fonts]].
*/
.IPA {
.IPA {
     font-family: "Charis SIL", "Doulos SIL", Gentium, GentiumAlt,
     font-family: "Gentium Plus", Gentium, GentiumAlt, "Charis SIL", "Doulos SIL",
                 "DejaVu Sans", Code2000, "TITUS Cyberbit Basic",
                 "DejaVu Sans", Code2000, "TITUS Cyberbit Basic",
                 "Arial Unicode MS", "Lucida Sans Unicode",
                 "Arial Unicode MS", "Lucida Sans Unicode",
Line 15: Line 8:
}
}
.Unicode {
.Unicode {
     font-family: Code2000, Code2001, "Free Serif", "TITUS Cyberbit Basic",
     font-family: "Arial Unicode MS", "Microsoft Sans Serif", "Free Sans",
                "Doulos SIL", "Chrysanthi Unicode", "Bitstream Cyberbit",
                "Gentium Plus", "Gentium Basic", "Gentium", "GentiumAlt", "DejaVu Sans",
                 "Bitstream CyberBase", Thryomanes, Gentium, GentiumAlt,
                 "DejaVu Serif", "Free Serif", "TITUS Cyberbit Basic",
                 "Lucida Grande", "Free Sans", "Arial Unicode MS",
                 "Bitstream Cyberbit", "Bitstream CyberBase", "Doulos SIL",
                 "Microsoft Sans Serif", "Lucida Sans Unicode";
                 "Code2000", "Code2001";
}
     font-size-adjust: 0.54;
.latinx {
     font-family: Code2000, Code2001, "TITUS Cyberbit Basic", "Microsoft Sans Serif";
}
}
.polytonic {
.polytonic {
     font-family: "Athena Unicode", Gentium, "Palatino Linotype",
     font-family: "Athena Unicode", "Gentium Plus", Gentium, "Palatino Linotype",
                 "Arial Unicode MS", "Lucida Sans Unicode",
                 "Arial Unicode MS", "Lucida Sans Unicode",
                 "Lucida Grande", Code2000;  
                 "Lucida Grande", Code2000;  
}
}


/* Pseudo-classes in support of [[Template:lang]]. */
.okina {
:lang(he) {
     font-family: "Gentium Plus", Gentium, "Lucida Sans Unicode", sans-serif;
     font-family: "SBL Hebrew", "Ezra SIL SR", "Ezra SIL", Cardo,
                "Chrysanthi Unicode", "TITUS Cyberbit Basic",
                "Arial Unicode MS", Narkisim, "Times New Roman";
}
}
:lang(fa),
 
:lang(ps),
.script-hebrew {
:lang(ur) {
     font-family: "SBL Hebrew", David, Narkisim, "Times New Roman", "Ezra SIL SR",
     font-family: "Nafees Nastaleeq", "Pak Nastaleeq", PDMS_Jauhar;
                FrankRuehl, "DejaVu Sans", "Microsoft Sans Serif", "Lucida Grande";
}
}
:lang(sux-Xsux) {
.script-gaelic {
     font-family: Akkadian;
     font-family: Duibhlinn, Ceanannas, Corcaigh, Gaelic;
}
}
:lang(ja) {
 
     font-family: Code2000, "Arial Unicode MS", "Bitstream Cyberbit",
.script-slavonic {
                "Bitstream CyberCJK", IPAGothic, IPAPGothic,
     font-family: /* Unicode 5.1 Slavonic fonts: */ BukyVede, Kliment Std, RomanCyrillic Std, Dilyana, Menaion, "Menaion Medieval", Lazov, Code2000, "DejaVu Sans", /* Unicode fallback: */ Code2001, "Free Serif", "TITUS Cyberbit Basic", "Charis SIL", "Doulos SIL", "Chrysanthi Unicode", "Bitstream Cyberbit", "Bitstream CyberBase", Thryomanes, "Lucida Grande", "Free Sans", "Arial Unicode MS", "Microsoft Sans Serif", "Lucida Sans Unicode";
                IPAUIGothic, "Kochi Gothic", IPAMincho, IPAPMincho;
}
}
:lang(ko) {
 
    font-family: "Adobe Myungjo Std M", AppleMyungjo, "Baekmuk Batang",
.script-runic {
                "Baekmuk Gulim", Batang, Dotum, DotumChe, Gulim,
     font-family: Junicode, "Free Monospaced", Code2000, Hnias;
                GulimChe, HYGothic-Extra, HYMyeongJo-Extra, "New Gulim",
                UnBatang, UnDotum, UnYetgul, UWKMJF;
}
:lang(zh-Hans) {
     font-family: "Adobe Song Std L", "AR PL ShanHeiSun Uni",
                "AR PL ShanHeiSun Uni MBE", "MS Hei", "MS Song", SimHei;
}
}
:lang(zh-Hant) {
.script-coptic {
     font-family: "Adobe Ming Std L", "AR PL New Sung", "AR PL ZenKai Uni",
     font-family: "New Athena Unicode", "MPH 2B Damase", "Arial Coptic", "Quivira", "Analecta";
                "AR PL ZenKai Uni MBE", MingLiU, PMingLiU;
}
}
:lang(grc) {
.script-phoenician {
     font-family: "Athena Unicode", Gentium, "Palatino Linotype",
     font-family: "ALPHABETUM Unicode", "MPH 2B Damase", Aegean, Code2001, "Free Sans";
                "Arial Unicode MS", "Lucida Sans Unicode",
                "Lucida Grande", Code2000;
}
}
/* </source> */

Latest revision as of 14:28, 20 November 2011

/* Support for Template:IPA, Template:Unicode and Template:Polytonic. */

.IPA {
    font-family: "Gentium Plus", Gentium, GentiumAlt, "Charis SIL", "Doulos SIL",
                 "DejaVu Sans", Code2000, "TITUS Cyberbit Basic",
                 "Arial Unicode MS", "Lucida Sans Unicode",
                 "Chrysanthi Unicode";
}
.Unicode {
    font-family: "Arial Unicode MS", "Microsoft Sans Serif", "Free Sans",
                 "Gentium Plus", "Gentium Basic", "Gentium", "GentiumAlt", "DejaVu Sans",
                 "DejaVu Serif", "Free Serif", "TITUS Cyberbit Basic",
                 "Bitstream Cyberbit", "Bitstream CyberBase", "Doulos SIL",
                 "Code2000", "Code2001";
    font-size-adjust: 0.54;
}
.polytonic {
    font-family: "Athena Unicode", "Gentium Plus", Gentium, "Palatino Linotype",
                 "Arial Unicode MS", "Lucida Sans Unicode",
                 "Lucida Grande", Code2000; 
}

.okina {
    font-family: "Gentium Plus", Gentium, "Lucida Sans Unicode", sans-serif;
}

.script-hebrew {
    font-family: "SBL Hebrew", David, Narkisim, "Times New Roman", "Ezra SIL SR", 
                 FrankRuehl, "DejaVu Sans", "Microsoft Sans Serif", "Lucida Grande";
}
.script-gaelic {
    font-family: Duibhlinn, Ceanannas, Corcaigh, Gaelic;
}

.script-slavonic {
    font-family: /* Unicode 5.1 Slavonic fonts: */ BukyVede, Kliment Std, RomanCyrillic Std, Dilyana, Menaion, "Menaion Medieval", Lazov, Code2000, "DejaVu Sans", /* Unicode fallback: */ Code2001, "Free Serif", "TITUS Cyberbit Basic", "Charis SIL", "Doulos SIL", "Chrysanthi Unicode", "Bitstream Cyberbit", "Bitstream CyberBase", Thryomanes, "Lucida Grande", "Free Sans", "Arial Unicode MS", "Microsoft Sans Serif", "Lucida Sans Unicode";
}

.script-runic {
    font-family: Junicode, "Free Monospaced", Code2000, Hnias;
}
.script-coptic {
    font-family: "New Athena Unicode", "MPH 2B Damase", "Arial Coptic", "Quivira", "Analecta";
}
.script-phoenician {
    font-family: "ALPHABETUM Unicode", "MPH 2B Damase", Aegean, Code2001, "Free Sans";
}